unit frmWebPopMenuU;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.Menus, WEBLib.ExtCtrls, Vcl.Menus;

type
  TForm3 = class(TWebForm)
    ListBox: TWebListBox;
    WebPopupMenu1: TWebPopupMenu;
    ListBoxRight: TWebListBox;
    WebPanel1: TWebPanel;
    procedure WebFormCreate(Sender: TObject);
  private
    FPopMenu: TWebPopupMenu;
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.WebFormCreate(Sender: TObject);
var
  i: integer;
  lmi: TMenuItem;
begin
  for i := 0 to 10 do
  begin
    ListBox.Items.Add('Item number ' + i.ToString);
    ListBoxRight.Items.Add('Item number ' + i.ToString);
  end;

  FPopMenu := TWebPopupMenu.Create(self);
  FPopMenu.Parent := ListBox;

  for i := 0 to 5 do
  begin
    lmi := TMenuItem.Create(FPopMenu);
    lmi.Caption := 'Option #' + i.ToString;
    FPopMenu.Items.Add(lmi);
  end;

  for i := 0 to 5 do
  begin
    lmi := TMenuItem.Create(WebPopupMenu1);
    lmi.Caption := 'Option #' + i.ToString;
    WebPopupMenu1.Items.Add(lmi);
  end;

  ListBox.PopupMenu := FPopMenu;

//  FPopMenuLB.Popup(15, 15);

  ListBoxRight.PopupMenu := WebPopupMenu1;

end;

end.
